<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100185";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
			
			//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
		
			///Arrastrando Campos
			$NDocuEn=$_POST['txt_NoDocu'] or $NDocuEn=$_GET['txt_NoDocu'];
			$NoAndEn=$_POST['cmb_Anden'] or $NoAndEn=$_GET['cmb_Anden'];			
			$CoSkuEn=$_POST['txt_CodSku'] or $CoSkuEn=$_GET['txt_CodSku'];
			$NLoteEn=$_POST['txt_Lote'] or $NLoteEn=$_GET['txt_Lote'];
			$CantiEn=$_POST['txt_Canti'] or $CantiEn=$_GET['txt_Canti'];
			$FactuEn=$_POST['txt_NFActu'] or $FactuEn=$_GET['txt_NFActu'];
            $FecCadEn=$_POST['txt_CAD'] or $FecCadEn=$_GET['txt_CAD'];
            
            ///Formatear Fecha de Caducidad
            $ExtAno_Cad = substr($FecCadEn, -10, 4);    // devuelve el año
		    $ExtMes_Cad = substr($FecCadEn, -5, 2);    // devuelve el mes
            $ExtDia_Cad = substr($FecCadEn, -2, 2);    // devuelve el día
            
            $FecCad_Fin = $ExtAno_Cad."/".$ExtMes_Cad."/".$ExtDia_Cad;
			
			//////Identificar si el Documento Existe
			$sqlID1 = mysql_query("select NO_DOCUMENTO from tabla_documentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NDocuEn'");
			if (mysql_numrows($sqlID1)==0) 
			{
				echo "<script>alert('El documento solicitado no existe\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=13-ReciboxAnden.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
			}
			else
			{ ///Inicia IF Existencia de Documento
			
			//////Identificar si el Estado del Documento es apto para este proceso
			$sqlID2 = mysql_query("select ESTADO_DOCUMENTO,VIGENCIA from tabla_documentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NDocuEn'");
			if (mysql_numrows($sqlID2)==0) echo "";
			else{
			$registroID2=mysql_fetch_array($sqlID2);
			}
			if (mysql_numrows($sqlID2)>0)
			{
			$EdoDoID2=$registroID2["ESTADO_DOCUMENTO"];
			$VigeID2=$registroID2["VIGENCIA"];
			}
			
			////Identificar La caducidad de Documento
				if ($VigeID2<$Fecha)
				{
					echo "<script>alert('El documento de recibo solicitado ha caducado.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=13-ReciboxAnden.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
				}
				else
				{ //// Inicia If Valiador de Caducidad Documento
			
			if ($EdoDoID2<>"ASOCIADO" and $EdoDoID2<>"RECIBIENDO")
			{
				echo "<script>alert('El estado del documento de recibo no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=13-ReciboxAnden.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
			}
			else
			{	//// Inicia If Valiador de Estado de Documento
			
			///Validar Seleccion de Anden
				if ($NoAndEn=="")
				{
					echo "<script>alert('Favor de Seleccionar el número de Anden que asociara el Recibo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=13-ReciboxAnden2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDocu=$NDocuEn'";
				}
				else
				{ //// Inicia If Valiada Anden
				
				///Validar Si el Sku existe dentro del Catalogo de Articulos
				$sql_VSku = mysql_query("select DESCRIPCION,PZASXCAJA,CAJAXPALLET from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$CoSkuEn'");
				if (mysql_numrows($sql_VSku)==0)
				{
					echo "<script>alert('El codigo Sku que Seleccionaste, no se encuentra dado de Alta dentro del Catalogo de Articulos.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=13-ReciboxAnden3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDocu=$NDocuEn&cmb_Anden=$NoAndEn'";
				}
				else
				{
				$registro_VSku=mysql_fetch_array($sql_VSku);
				}
				if (mysql_numrows($sql_VSku)>0)
				{
				$Descr_VSku=$registro_VSku["DESCRIPCION"];
				$PxCaj_VSku=$registro_VSku["PZASXCAJA"];
				$CxPal_VSku=$registro_VSku["CAJAXPALLET"];
				}
				
				///Validar Campos en blanco
				if ($CantiEn=="")
				{
					echo "<script>alert('Favor de digitar la Cantidad a Recibir.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=13-ReciboxAnden3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDocu=$NDocuEn&cmb_Anden=$NoAndEn'";
				}
				else
				{ //// Inicia If Valiada Cantidad
				
				if ($FactuEn=="")
				{
					echo "<script>alert('Favor de digitar el numero de Factura que ampara el Recibo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=13-ReciboxAnden3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDocu=$NDocuEn&cmb_Anden=$NoAndEn'";
				}
				else
				{ //// Inicia If Valiada Factura
                    
                if ($FecCad_Fin=="")
				{
					echo "<script>alert('Favor de seleccionar la Fecha de Caducidad de esta partida.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=13-ReciboxAnden3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDocu=$NDocuEn&cmb_Anden=$NoAndEn'";
				}
				else
				{ //// Inicia If Valiada Factura
				
				///Determinar las Piezas por Caja || Cajas por Pallet
				$NoCajas = $CantiEn / $PxCaj_VSku;
				$NoPallets = $NoCajas / $CxPal_VSku;
				$NoPalletsFin = ceil($NoPallets);

////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="13-ReciboxAnden5.php">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Recibo por Andén</font></td>
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
	      </tr>
		  <tr>
		    <td width="77"><font class="Clase_TipoLetra"><b>Documento:</b></font></td>
		    <td width="113"><?PHP echo"<font class='Clase_TipoLetra'>$NDocuEn</font>"; ?></td>
		  </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Andén:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$NoAndEn</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Factura:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$FactuEn</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Sku:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$CoSkuEn</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Descripción:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$Descr_VSku</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Lote:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$NLoteEn</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Caducidad:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$FecCad_Fin</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Pzas x Caja:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$PxCaj_VSku</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Cajas x Pal:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$CxPal_VSku</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Cant x Recibir:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'><font color='#FF0000'>$CantiEn</font></font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b># de Cajas:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$NoCajas</font>"; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b># de Pallets:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'><font color='#FF0000'>$NoPalletsFin</font></font>"; ?></td>
	      </tr>
		  <tr>
		    <td colspan="2"><input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" />
            <input type="hidden" name="txt_NoDocu"
		value="<?PHP echo $NDocuEn; ?>" />
        	<input type="hidden" name="cmb_Anden"
		value="<?PHP echo $NoAndEn; ?>" />
        	<input type="hidden" name="txt_CodSku"
		value="<?PHP echo $CoSkuEn; ?>" />
        	<input type="hidden" name="txt_Lote"
		value="<?PHP echo $NLoteEn; ?>" />
        	<input type="hidden" name="txt_Canti"
		value="<?PHP echo $CantiEn; ?>" />
       	 	<input type="hidden" name="txt_NFActu"
		value="<?PHP echo $FactuEn; ?>" />
        	<input type="hidden" name="txt_NoPall"
		value="<?PHP echo $NoPalletsFin; ?>" />
            <input type="hidden" name="txt_CAD"
		value="<?PHP echo $FecCad_Fin; ?>" />
            </td>
	      </tr>
		  <tr>
		    <td align="center"><input type="submit" name="button" id="button" value="Aplicar" /></td>
		    <td align="center"><input type="button" value="Regresar" onclick=" window.location.href='<?PHP echo"13-ReciboxAnden3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDocu=$NDocuEn&cmb_Anden=$NoAndEn";?>' " /></td>
	      </tr>
	    </table>
	</form>
      <!-- Termina Cuerpo de la Pantalla -->
</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina If Valiada Fecha Caducidad                    
} ///Termina If Valiada Factura
} ///Termina If Valiada Cantidad
} ///Termina If Valiada Anden
} ///Termina If Valiador de Estado de Documento
} ///Termina If Valiador de Caducidad Documento
} ///Termina IF Existencia de Documento
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
